Because it’s out of date – nowadays you need to be using TLS! You can download the best practices here…

Source: Qualys SSL Labs – Projects / Documentation